        program darkstar

c       radiative transfer in a disk + envelope around a star.
c       height of disk, z, goes as z1*r**b.
c       density goes as c*r**-a.
c       opacity is dust with either rayleigh or H-G phase function.
c       output is stokes parameters as a function of angle

	character cvers*10,cfile*80

        data cvers/'20040408a'/

	open(unit=12,file='sphere.out',status='unknown')
        write(12,'(a,a)')cvers,'- ELLIPS version'

c       input and setup
        call setup(cfile)

c       radiative transfer
        call radtran

c       convert stokes arrays to flux arrays
        call calcflux

        call output(cfile)

        end

